export declare const mediaQuery: {
    _id: boolean;
    type: boolean;
    width: boolean;
    height: boolean;
    value: {
        type: boolean;
        value: boolean;
    };
};
export declare const productMediaQuery: {
    _id: boolean;
    type: boolean;
    value: {
        _id: boolean;
        type: boolean;
        width: boolean;
        height: boolean;
        value: {
            type: boolean;
            value: boolean;
        };
    };
};
export declare const userQuery: {
    _id: boolean;
};
export declare const basePropertyField: {
    type: boolean;
    value: boolean;
};
export declare const baseViewField: {
    type: boolean;
    value: boolean;
};
export declare const BaseSizeFieldQuery: {
    _id: boolean;
    type: boolean;
    value: boolean;
};
export declare const BaseModelFieldQuery: {
    _id: boolean;
};
export declare const BaseColorFieldQuery: {
    type: boolean;
    value: boolean;
};
export declare const BaseCurrencyFieldQuery: {
    type: boolean;
    value: boolean;
};
export declare const BaseTemporalDataFieldQuery: {
    _id: boolean;
};
export declare const BaseStyleFieldQuery: {
    _id: boolean;
    name: boolean;
};
export declare const BaseTextFieldQuery: {
    type: boolean;
    value: boolean;
};
export declare const OrganizationQuery: {
    _id: boolean;
};
export declare const item3DQuery: {
    position: {
        x: boolean;
        y: boolean;
        z: boolean;
    };
    rotation: boolean;
    size: {
        width: boolean;
        height: boolean;
    };
    properties: {
        type: boolean;
        value: boolean;
    };
    views: {
        type: boolean;
        value: boolean;
    };
};
export declare const basicCollectionQuery: {
    _id: boolean;
    name: boolean;
};
export declare const productQuery: {
    _id: boolean;
    title: boolean;
    description: boolean;
    medias: {
        _id: boolean;
        type: boolean;
        value: {
            _id: boolean;
            type: boolean;
            width: boolean;
            height: boolean;
            value: {
                type: boolean;
                value: boolean;
            };
        };
    };
    sizes: {
        _id: boolean;
        type: boolean;
        value: boolean;
    };
    models: {
        _id: boolean;
    };
    colors: {
        type: boolean;
        value: boolean;
    };
    variety: {
        _id: boolean;
    };
    textures: {
        _id: boolean;
        type: boolean;
        width: boolean;
        height: boolean;
        value: {
            type: boolean;
            value: boolean;
        };
    };
    sku: boolean;
    temporal_data: {
        _id: boolean;
    };
    category: boolean;
    designer: boolean;
    company: boolean;
    createdAt: boolean;
    updatedAt: boolean;
    organization: {
        _id: boolean;
    };
    style: {
        _id: boolean;
        name: boolean;
    };
    owner: {
        _id: boolean;
    };
    garment: boolean;
    byond_id: boolean;
    availabilityDate: boolean;
    expirationDate: boolean;
    wholesalePrice: {
        type: boolean;
        value: boolean;
    };
    consumerPrice: {
        type: boolean;
        value: boolean;
    };
    productCollection: {
        _id: boolean;
        name: boolean;
    };
    status: {
        archived: boolean;
    };
};
export declare const journeyQuery: {
    title: boolean;
    steps: {
        _id: boolean;
        name: boolean;
        viewType: boolean;
        element: {
            elementId: boolean;
            type: boolean;
        };
    };
};
export declare const showroomQuery: {
    _id: boolean;
    title: boolean;
    description: boolean;
    boards: {
        background: {
            color: {
                type: boolean;
                value: boolean;
            };
        };
        medias: {
            media: {
                _id: boolean;
                type: boolean;
                width: boolean;
                height: boolean;
                value: {
                    type: boolean;
                    value: boolean;
                };
            };
            position: {
                x: boolean;
                y: boolean;
                z: boolean;
            };
            rotation: boolean;
            size: {
                width: boolean;
                height: boolean;
            };
            properties: {
                type: boolean;
                value: boolean;
            };
            views: {
                type: boolean;
                value: boolean;
            };
            byond_id: boolean;
        };
        products: {
            product: {
                _id: boolean;
                title: boolean;
                description: boolean;
                medias: {
                    _id: boolean;
                    type: boolean;
                    value: {
                        _id: boolean;
                        type: boolean;
                        width: boolean;
                        height: boolean;
                        value: {
                            type: boolean;
                            value: boolean;
                        };
                    };
                };
                sizes: {
                    _id: boolean;
                    type: boolean;
                    value: boolean;
                };
                models: {
                    _id: boolean;
                };
                colors: {
                    type: boolean;
                    value: boolean;
                };
                variety: {
                    _id: boolean;
                };
                textures: {
                    _id: boolean;
                    type: boolean;
                    width: boolean;
                    height: boolean;
                    value: {
                        type: boolean;
                        value: boolean;
                    };
                };
                sku: boolean;
                temporal_data: {
                    _id: boolean;
                };
                category: boolean;
                designer: boolean;
                company: boolean;
                createdAt: boolean;
                updatedAt: boolean;
                organization: {
                    _id: boolean;
                };
                style: {
                    _id: boolean;
                    name: boolean;
                };
                owner: {
                    _id: boolean;
                };
                garment: boolean;
                byond_id: boolean;
                availabilityDate: boolean;
                expirationDate: boolean;
                wholesalePrice: {
                    type: boolean;
                    value: boolean;
                };
                consumerPrice: {
                    type: boolean;
                    value: boolean;
                };
                productCollection: {
                    _id: boolean;
                    name: boolean;
                };
                status: {
                    archived: boolean;
                };
            };
            position: {
                x: boolean;
                y: boolean;
                z: boolean;
            };
            rotation: boolean;
            size: {
                width: boolean;
                height: boolean;
            };
            properties: {
                type: boolean;
                value: boolean;
            };
            views: {
                type: boolean;
                value: boolean;
            };
            _id: boolean;
            byond_id: boolean;
            title: boolean;
        };
        texts: {
            text: {
                type: boolean;
                value: boolean;
            };
            position: {
                x: boolean;
                y: boolean;
                z: boolean;
            };
            rotation: boolean;
            size: {
                width: boolean;
                height: boolean;
            };
            properties: {
                type: boolean;
                value: boolean;
            };
            views: {
                type: boolean;
                value: boolean;
            };
            byond_id: boolean;
        };
        position: {
            x: boolean;
            y: boolean;
            z: boolean;
        };
        rotation: boolean;
        size: {
            width: boolean;
            height: boolean;
        };
        properties: {
            type: boolean;
            value: boolean;
        };
        views: {
            type: boolean;
            value: boolean;
        };
        _id: boolean;
        byond_id: boolean;
        title: {
            type: boolean;
            value: boolean;
        };
    };
    logo: {
        _id: boolean;
        type: boolean;
        width: boolean;
        height: boolean;
        value: {
            type: boolean;
            value: boolean;
        };
    };
    preview: {
        _id: boolean;
        type: boolean;
        width: boolean;
        height: boolean;
        value: {
            type: boolean;
            value: boolean;
        };
    };
    createdAt: boolean;
    owner: {
        username: boolean;
    };
    journeys: {
        title: boolean;
        steps: {
            _id: boolean;
            name: boolean;
            viewType: boolean;
            element: {
                elementId: boolean;
                type: boolean;
            };
        };
    };
};
